NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.LighteningCutoutBuilder Class Reference

Represents a Features.SheetMetal.LighteningCutout builder More...

Inheritance diagram for NXOpen.Features.SheetMetal.LighteningCutoutBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CutoutType { Hole, UserDefined }
 Represents the type of Lightening Cutout More...
 

Public Member Functions

unsafe string[] GetStandards ()
 Returns the standard names available for the material selected More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the bend options More...
 
unsafe bool CheckClearance [get, set]
 Returns or sets whether to check the clearance More...
 
unsafe NXOpen.Expression Clearance [get]
 Returns the clearance More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.Hole More...
 
unsafe NXOpen.Expression DieRadius [get]
 Returns the die radius More...
 
unsafe NXOpen.Section HoleCenter [get]
 Returns the hole center when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.Hole More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length More...
 
unsafe NXOpen.Expression NeutralFactor [get]
 Returns the neutral factor More...
 
unsafe bool ReverseBendDirection [get, set]
 Returns or sets whether the bend direction is reversed More...
 
unsafe NXOpen.Expression SectionCornerRadius [get]
 Returns the section corner radius More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get]
 Returns the Sketch used by Lightening Cutout More...
 
unsafe string StandardName [get, set]
 Returns or sets the standard name selected More...
 
unsafe
NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Section UserDefinedSection [get]
 Returns the section when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.UserDefined More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.SheetMetal.LighteningCutout builder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateLighteningCutoutBuilder

Default values.

Property Value

Angle.Value

45

CheckClearance

1

Clearance.Value

5 (millimeters part), 0.12 (inches part)

Diameter.Value

102 (millimeters part), 2.6 (inches part)

DieRadius.Value

8 (millimeters part), 0.2 (inches part)

Length.Value

6 (millimeters part), 0.125 (inches part)

NeutralFactor.Value (deprecated)

0.33

SectionCornerRadius.Value

8 (millimeters part), 0.2 (inches part)

Type

UserDefined

Created in NX11.0.0

Member Enumeration Documentation

Represents the type of Lightening Cutout

Enumerator
Hole 
UserDefined 

Member Function Documentation

unsafe string [] NXOpen.Features.SheetMetal.LighteningCutoutBuilder.GetStandards ( )
inline

Returns the standard names available for the material selected

Created in NX11.0.0

License requirements: None.

Returns

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Angle
get

Returns the angle

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.LighteningCutoutBuilder.BendOptions
get

Returns the bend options

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CheckClearance
getset

Returns or sets whether to check the clearance

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Clearance
get

Returns the clearance

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Diameter
get

Returns the diameter when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.Hole

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.DieRadius
get

Returns the die radius

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SheetMetal.LighteningCutoutBuilder.HoleCenter
get

Returns the hole center when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.Hole

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Length
get

Returns the length

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.NeutralFactor
get

Returns the neutral factor

Created in NX11.0.0

Deprecated in NX12.0.0. Obtain the bend options object using NXOpen.Features.SheetMetal.LighteningCutoutBuilder.BendOptions and from bend options, get Neutral Factor using NXOpen.Features.SheetMetal.BendOptions.NeutralFactor

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.LighteningCutoutBuilder.ReverseBendDirection
getset

Returns or sets whether the bend direction is reversed

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LighteningCutoutBuilder.SectionCornerRadius
get

Returns the section corner radius

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Sketch
get

Returns the Sketch used by Lightening Cutout

Created in NX11.0.0

License requirements: None.

unsafe string NXOpen.Features.SheetMetal.LighteningCutoutBuilder.StandardName
getset

Returns or sets the standard name selected

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType NXOpen.Features.SheetMetal.LighteningCutoutBuilder.Type
getset

Returns or sets the type

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.LighteningCutoutBuilder.UserDefinedSection
get

Returns the section when the type is NXOpen.Features.SheetMetal.LighteningCutoutBuilder.CutoutType.UserDefined

Created in NX11.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.